package eu.dnetlib.api.data;

import java.util.List;

import eu.dnetlib.api.DriverService;
import eu.dnetlib.domain.EPR;
import eu.dnetlib.domain.data.Hint;

public interface IndexService extends DriverService {

	public EPR indexLookup(String id, String query, String mdformat,
			String layout) throws IndexServiceException;
	
	public Hint suggestiveSearch(String id, String query, 
			String mdformat, String layout, String heuristicProfileName)
				throws IndexServiceException;

	public EPR getBrowsingStatistics(String query, String index,
			String mdFormatId, String layoutId) throws IndexServiceException;

	public List<String> getListOfIndices() throws IndexServiceException;

	public String getIndexStatistics(String index) throws IndexServiceException;

	public String getListOfIndicesCSV() throws IndexServiceException;
}
