package eu.dnetlib.api.data;

import java.util.List;

import eu.dnetlib.api.DriverService;
import eu.dnetlib.domain.data.SimilarDocument;

public interface SimilarityService extends DriverService {

	/**
	 * Returns a list of similar documents which are similar to document with
	 * specified id. No additional values are returned (only ids and score)
	 * 
	 * @param id The specified id
	 * @return a list of {@link SimilarDocument}
	 */
	public List<SimilarDocument> getSimilarDocuments(String id)
			throws SimilarityServiceException;

}
